"""This module defines ThanCad fonts made by straight lines."""

from __future__ import print_function
#from past.builtins import xrange
from p_ggen.py23 import xrange

thanFontPrime1 = {
  0 : 63,
  1 : [ [ 2,2,2,4,0,4,0,0,4,0,4,4,2,4,2,2 ]                       # "Not printable"
      ],
  2 : [ [ 2,2,2,4,1,4,0,3,0,1,1,0,3,0,4,1,4,3,3,4,2,4,2,2 ]       # "Not printable"
      ],
  3 : [ [ 2,2,2,4,0,1,4,1,2,4,2,2 ]                               # "Not printable"
      ],
  4 : [ [ 2,2,4,2,0,2,2,2,2,0,2,4,2,2 ]                           # "Not printable"
      ],
  5 : [ [ 2,2,4,4,0,0,2,2,0,4,4,0,2,2 ]                           # "Not printable"
      ],
  6 : [ [ 2,2,2,4,0,2,2,0,4,2,2,4,2,2 ]                           # "Not printable"
      ],
  7 : [ [ 2,2,2,0,2,4,0,2,4,2,2,4,2,2 ]                           # "Not printable"
      ],
  8 : [ [ 2,2,0,0,4,4,0,4,4,0,2,2 ]                               # "Not printable"
      ],
  9 : [ [ 2,2,4,4,0,4,4,4,0,0,4,0,0,0,2,2 ]                       # "Not printable"
      ],
 10 : [ [ 2,2,0,4,2,2,4,4,2,2,2,0,2,2 ]                           # "Not printable"
      ],
 11 : [ [ 2,2,4,4,3,3,1,3,0,4,1,3,1,1,0,0,1,1,3,1,4,0,3,1,3,3,2,2 ]       # "Not printable"
      ],
 12 : [ [ 2,2,4,2,0,2,2,2,2,0,2,4,2,2,4,4,0,0,2,2,0,4,4,0,2,2 ]   # "Not printable"
      ],
 13 : [ [ 2,2,4,4,0,4,4,0,0,0,2,2 ]                               # "Not printable"
      ],
 14 : [ [ 2,2,2,0,2,4,2,2 ]                                       # "Not printable"
      ],
 15 : [ [ 1,0,3,6,5,0,0,4,6,4,1,0 ]                               # "Not printable"
      ],
 16 : [ [ 2,2,6,2,2,2 ]                                           # "Not printable"
      ],
 17 : [                                                           # "Not printable"
      ],
 18 : [ [ 0,3,4,3 ],
        [ 4,5,0,5 ],
        [ 0,1,4,1 ]                                               # "Not printable"
      ],
 19 : [ [ 0,3,6,3,4,4,4,2,6,3 ]                                   # "Not printable"
      ],
 20 : [                                                           # "Not printable"
      ],
 21 : [ [ 4,4,0,4 ],
        [ 0,2,4,2 ],
        [ 3,5,1,1 ]                                               # "Not printable"
      ],
 22 : [ [ 0,1,4,1 ],
        [ 2,2,2,6,2,4,0,4,4,4 ]                                   # "Not printable"
      ],
 23 : [ [ 0,0,6,0 ]                                               # "Not printable"
      ],
 24 : [                                                           # "Not printable"
      ],
 25 : [ [ 0,7,6,7 ]                                               # "Not printable"
      ],
 26 : [ [ 0,1,1,0,2,0,3,1,3,6,4,7,5,7,6,6 ]                       # "Not printable"
      ],
 27 : [ [ 1,2,4,2,5,3,5,4,4,5,1,5 ]                               # "Not printable"
      ],
 28 : [ [ 1,4,3,0,5,4 ]                                           # "Not printable"
      ],
 29 : [ [ 0,1,1,2,2,2,4,0,5,0,6,1 ],
        [ 0,3,1,4,2,4,4,2,5,2,6,3 ]                               # "Not printable"
      ],
 30 : [ [ 3,0,3,6 ],
        [ 5,4,4,5,2,5,1,4,1,2,2,1,4,1,5,2 ]                       # "Not printable"
      ],
 31 : [ [ 0,3,4,3,4,2 ]                                           # "Not printable"
      ],
 32 : [                                                           # " "
      ],
 33 : [ [ 1,0,2,1,3,0,1,0 ],
        [ 2,2,2,7 ]                                               # "!"
      ],
 34 : [ [ 2,5,2,7,1,7,2,5 ],
        [ 4,5,4,7,3,7,4,5 ]                                       # """
      ],
 35 : [ [ 0,1,4,1 ],
        [ 4,3,0,3 ],
        [ 1,4,1,0 ],
        [ 3,0,3,4 ]                                               # "#"
      ],
 36 : [ [ 2,7,2,0 ],
        [ 0,2,3,2,4,3,3,4,1,4,0,5,1,6,4,6 ]                       # "$"
      ],
 37 : [ [ 4,1,4,0,3,0,3,1,4,1 ],
        [ 0,0,4,7 ],
        [ 1,7,1,6,0,6,0,7,1,7 ]                                   # "%"
      ],
 38 : [ [ 4,1,3,0,1,0,0,1,0,2,3,6,2,7,1,6,1,5,4,0 ]               # "&"
      ],
 39 : [ [ 4,5,4,7,3,7,4,5 ]                                       # "'"
      ],
 40 : [ [ 4,7,3,6,3,1,4,0 ]                                       # "("
      ],
 41 : [ [ 0,7,1,6,1,1,0,0 ]                                       # ")"
      ],
 42 : [ [ 4,1,0,5,2,3,4,5,0,1,2,3,2,1,2,5,2,3,0,3,4,3 ]           # "*"
      ],
 43 : [ [ 2,1,2,5,2,3,0,3,4,3 ]                                   # "+"
      ],
 44 : [ [ 2,1,1,1,1,2,2,2,2,1,1,0 ]                               # ","
      ],
 45 : [ [ 0,3,4,3 ]                                               # "-"
      ],
 46 : [ [ 1,1,1,0,0,0,0,1,1,1 ]                                   # "."
      ],
 47 : [ [ 0,0,4,7 ]                                               # "/"
      ],
 48 : [ [ 4,6,3,7,1,7,0,6,0,1,1,0,3,0,4,1,4,6 ]                   # "0"
      ],
 49 : [ [ 1,6,2,7,2,0,1,0,3,0 ]                                   # "1"
      ],
 50 : [ [ 0,6,1,7,3,7,4,6,4,4,0,1,0,0,4,0 ]                       # "2"
      ],
 51 : [ [ 0,6, 1,7, 3,7, 4,6, 4,5, 3,4, 1,4 ],
        [ 3,4, 4,3, 4,1, 3,0, 1,0, 0,1 ]                          # "3"
      ],
 52 : [ [ 4,2,0,2,3,7,3,0,2,0,4,0 ]                               # "4"
      ],
 53 : [ [ 4,7,0,7,0,4,3,4,4,3,4,1,3,0,1,0,0,1 ]                   # "5"
      ],
 54 : [ [ 0,3, 1,4, 3,4, 4,3, 4,1, 3,0, 1,0, 0,1, 0,6, 1,7, 3,7, 4,6 ]            # "6"
      ],
 55 : [ [ 0,6,0,7,4,7,4,6,1,1,1,0 ]                               # "7"
      ],
 56 : [ [ 0,6,1,7,3,7,4,6,4,5,3,4,1,4,3,4,4,3,4,1,3,0,1,0,0,1,0,3,1,4,0,5,0,6 ]   # "8"
      ],
 57 : [ [ 4,4,3,3,1,3,0,4,0,6,1,7,3,7,4,6,4,1,3,0,1,0,0,1 ]       # "9"
      ],
 58 : [ [ 2,4,1,4,1,5,2,5,2,4 ],
        [ 2,1,1,1,1,2,2,2,2,1 ]                                   # ":"
      ],
 59 : [ [ 2,4,1,4,1,5,2,5,2,4 ],
        [ 2,1,1,1,1,2,2,2,2,1,1,0 ]                               # ";"
      ],
 60 : [ [ 4,2,0,4,4,6 ]                                           # "<"
      ],
 61 : [ [ 4,4,0,4 ],
        [ 0,2,4,2 ]                                               # "="
      ],
 62 : [ [ 0,2,4,4,0,6 ]                                           # ">"
      ],
 63 : [ [ 1,0,2,1,3,0,1,0 ],
        [ 2,2,2,4,3,4,4,5,4,6,3,7,1,7,0,6 ]                       # "?"
      ],
 64 : [ [ 3,1,1,1,0,2,0,5,1,6,3,6,4,5,4,2,3,3,3,4,2,5,1,4,1,3,2,2,3,3 ]       # "@"
      ],
 65 : [ [ 0,0,0,3,4,3,4,6,3,7,1,7,0,6,0,3,4,3,4,0 ]               # "A"
      ],
 66 : [ [ 4,1,3,0,0,0,0,7,3,7,4,6,4,5,3,4,0,4,3,4,4,3,4,1 ]       # "B"
      ],
 67 : [ [ 4,6,3,7,1,7,0,6,0,1,1,0,3,0,4,1 ]                       # "C"
      ],
 68 : [ [ 3,7,4,6,4,1,3,0,0,0,0,7,3,7 ]                           # "D"
      ],
 69 : [ [ 4,0,0,0,0,7,4,7,0,7,0,4,3,4 ]                           # "E"
      ],
 70 : [ [ 0,0,0,7,4,7,0,7,0,4,3,4 ]                               # "F"
      ],
 71 : [ [ 4,3,4,1,3,0,1,0,0,1,0,6,1,7,3,7,4,6 ],
        [ 3,3,5,3 ]                                               # "G"
      ],
 72 : [ [ 0,0,0,7,0,4,4,4,4,7,4,0 ]                               # "H"
      ],
 73 : [ [ 1,0,3,0,2,0,2,7,1,7,3,7 ]                               # "I"
      ],
 74 : [ [ 0,1,1,0,3,0,4,1,4,7 ]                                   # "J"
      ],
 75 : [ [ 0,7,0,0 ],
        [ 4,0,2,5,0,3,4,7 ]                                       # "K"
      ],
 76 : [ [ 4,0,0,0,0,7 ]                                           # "L"
      ],
 77 : [ [ 4,0,4,7,2,3,0,7,0,0 ]                                   # "M"
      ],
 78 : [ [ 4,7,4,0,0,7,0,0 ]                                       # "N"
      ],
 79 : [ [ 4,6,3,7,1,7,0,6,0,1,1,0,3,0,4,1,4,6 ]                   # "O"
      ],
 80 : [ [ 0,0,0,7,3,7,4,6,4,5,3,4,0,4 ]                           # "P"
      ],
 81 : [ [ 4,6,3,7,1,7,0,6,0,1,1,0,3,0,4,1,4,6],
        [ 4,0,2,2 ]                                               # "Q"
      ],
 82 : [ [ 0,0,0,7,3,7,4,6,4,5,3,4,0,4,3,4,4,3,4,0 ]               # "R"
      ],
 83 : [ [ 4,6,3,7,1,7,0,6,0,5,1,4,3,4,4,3,4,1,3,0,1,0,0,1 ]       # "S"
      ],
 84 : [ [ 4,7,0,7,2,7,2,0 ]                                       # "T"
      ],
 85 : [ [ 0,7,0,1,1,0,3,0,4,1,4,7 ]                               # "U"
      ],
 86 : [ [ 0,7,2,0,4,7 ]                                           # "V"
      ],
 87 : [ [ 4,7,4,0,2,4,0,0,0,7 ]                                   # "W"
      ],
 88 : [ [ 4,7,0,0 ],
        [ 4,0,0,7 ]                                               # "X"
      ],
 89 : [ [ 2,0, 2,4, 0,7, 2,4, 4,7 ]                               # "Υ"
      ],
 90 : [ [ 0,7, 4,7, 0,0, 4,0 ]                                    # "Z"
      ],
 91 : [ [ 4,7,0,7,0,0,4,0 ]                                       # "["
      ],
 92 : [ [ 4,0,0,7 ]                                               # "\"
      ],
 93 : [ [ 0,0,4,0,4,7,0,7 ]                                       # "]"
      ],
 94 : [ [ 0,1,2,5,4,1 ]                                           # "^"
      ],
 95 : [ [ 0,3,5,3 ]                                               # "_"
      ],
 96 : [ [ 0,0,1,4,1,2,2,1,3,1,4,2,4,4,4,2,5,1 ]                   # "`"
      ],

#---------Small English

 97 : [ [ 1,0, 3,0, 4,1, 4,3, 1,3, 0,2, 0,1, 1,0 ],
        [ 5,0, 4,0, 4,1],
        [ 1,4, 4,4, 4,3 ]                                         # "a"
      ],
 98 : [ [ 0,7, 0,0, 3,0, 4,1, 4,3, 3,4, 0,4 ]                     # "b"
      ],
 99 : [ [ 4,1, 3,0, 1,0, 0,1, 0,3, 1,4, 3,4, 4,3 ]                # "c"
      ],
100 : [ [ 4,7, 4,0, 1,0, 0,1, 0,3, 1,4, 4,4 ]                     # "d"
      ],
101 : [ [ 4,1, 3,0, 1,0, 0,1, 0,3, 1,4, 3,4, 4,3, 4,2, 0,2 ]      # "e"
      ],
102 : [ [ 1,0, 1,6, 2,7, 3,7, 4,6 ],
        [ 0,4, 3,4 ]                                              # "f"
      ],
103 : [ [ 4,1, 3,0, 1,0, 0,1, 0,3, 1,4, 3,4, 4,3, 4,-1, 3,-2, 1,-2, 0,-1 ]  # "g"
      ],
104 : [ [ 0,7, 0,0 ],
        [ 0,3, 1,4, 3,4, 4,3, 4,0 ]                               # "h"
      ],
105 : [ [ 2,0, 2,4 ],
        [ 2,5, 2,6 ]                                              # "i"
      ],
106 : [ [ 3,6, 3,5 ],
        [ 3,4, 3,-1, 2,-2, 0,-1 ]                                 # "j"
      ],
107 : [ [ 0,7, 0,0 ],
        [ 3,4, 0,2, 3,0 ]                                         # "k"
      ],
108 : [ [ 1,7, 2,7, 2,0 ],
        [ 1,0, 3,0 ]                                              # "l"
      ],
109 : [ [ 0,4, 0,0 ],
        [ 0,3, 1,4, 2,4, 3,3, 4,4, 5,4, 6,3, 6,0 ],
	[ 3,3, 3,0 ]                                              # "m"
      ],
110 : [ [ 0,4, 0,0 ],
        [ 0,3, 1,4, 3,4, 4,3, 4,0 ]                               # "n"
      ],
111 : [ [ 4,1, 3,0, 1,0, 0,1, 0,3, 1,4, 3,4, 4,3, 4,1 ]           # "o"
      ],
112 : [ [ 0,-2, 0,4 ],
        [ 0,3, 1,4, 3,4, 4,3, 4,1, 3,0, 1,0, 0,1 ]                # "p"
      ],
113 : [ [ 4,-2, 4,4 ],
        [ 4,3, 3,4, 1,4, 0,3, 0,1, 1,0, 3,0, 4,1 ]                # "q"
      ],
114 : [ [ 1,0, 1,4 ],
        [ 1,3, 2,4, 3,4, 4,3 ]                                    # "r"
      ],
115 : [ [ 4,3, 3,4, 1,4, 0,3, 4,1, 3,0, 1,0, 0,1 ]                # "s"
      ],
116 : [ [ 1,6, 1,1, 2,0, 3,0, 4,1 ],
        [ 0,4, 3,4 ]                                              # "t"
      ],
117 : [ [  4,4, 4,0 ],
        [ 4,1, 3,0, 1,0, 0,1, 0,4 ]                               # "u"
      ],
118 : [ [ 0,4, 2,0, 4,4 ]                                         # "v"
      ],
119 : [ [0,4, 1,0, 2,2, 3,0, 4,4 ]                                # "w"
      ],
120 : [ [ 0,4, 4,0 ],
        [ 0,0, 4,4 ]                                              # "x"
      ],
121 : [ [ 0,4, 2,0 ],
        [ 4,4, 1,-2 ]                                             # "y"
      ],
122 : [ [ 0,4, 4,4, 0,0, 4,0 ]                                    # "z"
      ],
123 : [ [ 5,0,4,0,3,1,3,3,2,4,3,5,3,7,4,8,5,8 ]                   # "{"
      ],
124 : [ [ 0,0,0,8 ]                                               # "|"
      ],
125 : [ [ 1,0,2,0,3,1,3,3,4,4,3,5,3,7,2,8,1,8 ]                   # "}"
      ],
126 : [ [ 0,1,1,2,2,2,4,0,5,0,6,1 ]                               # "~"
      ],
127 : [ [ 6,3,5,2,4,2,3,3,3,4,2,5,1,5,0,4,0,3,1,2,2,2,3,3,3,4,4,5,5,5,6,4,6,3 ] # "Not printable"
      ],

128 : [ [ 5,7, 4,7, 2,6, 1,4, 1,3, 2,1, 4,0, 5,0 ],
        [ 0,4, 4,4 ],
        [ 0,3, 4,3 ]                                              # "
      ],

#---------Not defined

129 : 63,
130 : 63,
131 : 63,
132 : 63,
133 : 63,
134 : 63,
135 : 63,
136 : 63,
137 : 63,
138 : 63,
139 : 63,
140 : 63,
141 : 63,
142 : 63,
143 : 63,
144 : 63,
145 : 63,
146 : 63,
147 : 63,
148 : 63,
149 : 63,
150 : 63,
151 : 63,
152 : 63,
153 : 63,
154 : 63,
155 : 63,
156 : 63,
157 : 63,
158 : 63,
159 : 63,
150 : 63,
161 : 63,
162 : [ [ 0,0, 0,3, 4,3, 4,5, 3,7, 1,7, 0,5, 0,3, 4,3, 4,0 ],
        [ 0,7, 0,6 ]                                              # "’"
      ],
163 : 63,
164 : 63,
165 : 63,
166 : 63,
167 : 63,
168 : 63,
169 : 63,
160 : 63,
170 : 63,
171 : 63,
172 : 63,
173 : 63,
174 : 63,
175 : 63,
176 : 63,
177 : 63,
178 : 63,
179 : 63,
180 : 63,
181 : 63,
182 : 63,
183 : [ [ 2,3, 3,3, 3,4, 2,4, 2,3 ]                               # "·"
      ],
184 : [ [ 5,0, 1,0, 1,7, 5,7, 1,7, 1,4, 4,4 ],
        [ 0,7, 0,6 ]                                              # "Έ"
      ],
185 : [ [ 1,0, 1,7, 1,4, 5,4, 5,7, 5,0 ],
        [ 0,7, 0,6 ]                                              # "Ή"
      ],
186 : [ [ 1,0, 3,0, 2,0, 2,7, 1,7, 3,7 ],
        [ 0,7, 0,6 ],                                             # "Ί"
      ],
187 : [ [ 0,4, 2,2, 0,0 ],
        [ 2,4, 4,2, 2,0 ]                                         # "»"
      ],
188 : [ [ 4,5, 3,7, 1,7, 0,5, 0,2, 1,0, 3,0, 4,2, 4,5 ],
        [ 0,7, 0,6 ]                                              # "Ό"
      ],
189 : [ [ 0,5, 1,6, 1,3 ],
        [ 0,2, 4,4 ],
        [ 2,2, 3,3, 4,2, 2,0, 4,0 ]                               # "½"
      ],
190 : [ [ 2,0, 2,4, 0,7, 2,4, 4,7 ],
        [0,6, 0,5 ]                                               # "Ύ"
      ],
191 : [ [ 0,0, 1,0, 1,1, 0,2, 0,5, 1,7, 3,7, 4,5, 4,2, 3,1, 3,0, 4,0 ],
        [ 0,7, 0,6 ]                                              # "Ώ"
      ],
192 : [ [ 1,4, 1,1, 2,0, 3,1 ],
        [ 0,5, 0,4 ],
        [ 2,5, 2,4 ],
        [ 1,6, 1,5 ]                                              #  "ΐ"
      ],
#-----Greek capital

193 : [ [ 0,0,0,3,4,3,4,6,3,7,1,7,0,6,0,3,4,3,4,0 ]               # "Α"
      ],
194 : [ [ 4,1,3,0,0,0,0,7,3,7,4,6,4,5,3,4,0,4,3,4,4,3,4,1 ]       # "Β"
      ],
195 : [ [ 0,0,0,7,4,7 ]                                           # "Γ"
      ],
196 : [ [ 0,0,2,7,4,0,0,0 ]                                       # "Δ"
      ],
197 : [ [ 4,0,0,0,0,7,4,7,0,7,0,4,3,4 ]                           # "Ε"
      ],
198 : 90,                                                         # "Ζ"
199 : [ [ 0,0,0,7,0,4,4,4,4,7,4,0 ]                               # "Η"
      ],
200 : [ [ 0,4,0,6,1,7,3,7,4,6,4,1,3,0,1,0,0,1,0,4,4,4 ]           # "Θ"
      ],
201 : [ [ 1,0,3,0,2,0,2,7,1,7,3,7 ]                               # "Ι"
      ],
202 : [ [ 0,7,0,0 ],
        [ 4,0,2,5,0,3,4,7 ]                                       # "Κ"
      ],
203 : [ [ 0,0,2,7,4,0 ]                                           # "Λ"
      ],
204 : [ [ 4,0,4,7,2,3,0,7,0,0 ]                                   # "Μ"
      ],
205 : [ [ 4,7,4,0,0,7,0,0 ]                                       # "Ν"
      ],
206 : [ [ 0,7,4,7 ],
        [ 1,4,3,4 ],
        [ 0,0,4,0 ]                                               # "Ξ"
      ],
207 : [ [ 4,6,3,7,1,7,0,6,0,1,1,0,3,0,4,1,4,6 ]                   # "Ο"
      ],
208 : [ [ 0,0,0,7,4,7,4,0 ]                                       # "Π"
      ],
209 : [ [ 0,0,0,7,3,7,4,6,4,5,3,4,0,4 ]                           # "Ρ"
      ],
210 : 63,                                                         # Not defined
211 : [ [ 5,0,1,0,3,4,1,7,5,7 ]                                   # "Σ"
      ],
212 : [ [ 4,7,0,7,2,7,2,0 ]                                       # "Τ"
      ],
213 : 89,                                                         # "Υ"
214 : [ [ 1,1,0,2,0,5,1,6,3,6,4,5,4,2,3,1,1,1 ],
        [ 2,7,2,0 ]                                               # "Φ"
      ],
215 : [ [ 4,7,0,0 ],
        [ 4,0,0,7 ]                                               # "Χ"
      ],
216 : [ [ 0,7,0,3,1,2,3,2,4,3,4,7 ],
        [ 2,7,2,0 ]                                               # "Ψ"
      ],
217 : [ [ 0,0,1,0,1,1,0,2,0,6,1,7,3,7,4,6,4,2,3,1,3,0,4,0 ]       # "Ω"
      ],

#----------Not defined

218 : 201,                                                        # "Ϊ"
219 : 89,                                                         # "Ϋ"
220 : [ [ 5,0, 4,0, 4,1, 3,0, 1,0, 0,1, 0,3, 1,4, 3,4, 4,3, 4,4 ],
        [ 4,3, 4,1 ],
        [ 2,6, 2,5 ]                                              #  "ά"
      ],
221 : [ [ 4,3, 3,4, 1,4, 0,3, 1,2, 3,2 ],
        [ 1,2, 0,1, 1,0, 3,0, 4,1 ],
        [ 2,6, 2,5 ]                                              #  "έ"
      ],
222 : [ [ 0,4, 1,3, 1,0 ],
        [ 1,3, 2,4, 3,4, 4,3, 4,-1 ],
        [ 2,6, 2,5 ]                                              #  "ή"
      ],
223 : [ [ 1,4, 1,1, 2,0, 3,1 ],
        [ 1,6, 1,5 ]                                              #  "ί"
      ],
224 : [ [ 0,4, 0,1, 1,0, 3,0, 4,1, 4,4 ],
        [ 1,5, 1,4 ],
        [ 3,5, 3,4 ],
        [ 2,6, 2,5 ]                                              #  "ΰ"
      ],

#----------Small Greek letters

225 : [ [ 5,0, 4,0, 4,1, 3,0, 1,0, 0,1, 0,3, 1,4, 3,4, 4,3, 4,4 ],
        [ 4,3, 4,1 ]                                              # "α"
      ],
226 : [ [ 0,-2, 0,6, 1,7, 2,7, 3,6, 3,5, 2,4, 1,4, 3,4, 4,3, 4,1, 3,0, 1,0, 0,1]       # "β"
      ],
227 : [ [  0,4, 3,0, 3,-1, 2,-2, 1,-2, 0,-1, 0,0, 3,4 ]           # "γ"
      ],
228 : [ [ 3,4, 1,4, 0,3, 0,1, 1,0, 3,0, 4,1, 4,3, 0,7, 4,7 ]      # "δ"
      ],
229 : [ [ 4,3, 3,4, 1,4, 0,3, 1,2, 3,2 ],
        [ 1,2, 0,1, 1,0, 3,0, 4,1 ]                               # "ε"
      ],
230 : [ [ 0,7, 4,7, 1,5, 0,4, 0,2, 1,1, 3,0, 4,-1, 3,-2, 2,-2 ]   #  "ζ"
      ],
231 : [ [ 0,4, 1,3, 1,0 ],
        [ 1,3, 2,4, 3,4, 4,3, 4,-1 ]                              #  "η"
      ],
232 : [ [ 4,4, 1,4, 1,6, 2,7, 3,7, 4,6, 4,1, 3,0, 2,0, 1,1, 1,4 ] #  "θ"
      ],
233 : [ [ 1,4, 1,1, 2,0, 3,1 ]                                    #  "ι"
      ],
234 : [ [ 0,4, 0,0 ],
        [ 3,4, 0,2, 3,0 ]                                         #  "κ"
      ],
235 : [ [ 0,0, 2,4, 4,0 ],
        [ 2,4, 1,6, 0,7 ]                                         #  "λ"
      ],
236 : [ [ 0,4, 0,-2 ],
        [ 0,1, 1,0, 3,0, 4,1 ],
        [ 4,4, 4,0 ]                                              #  "μ"
      ],
237 : [ [ 0,4, 2,0, 4,4 ]                                         #  "ν"
      ],
238 : [ [ 0,7, 4,7 ],
        [ 2,7, 0,6, 0,5, 1,4, 3,4 ],
        [ 1,4, 0,3, 0,1, 1,0, 3,0, 4,-1, 3,-2, 2,-2 ]             # "ξ"
      ],
239 : [ [ 1,0, 3,0, 4,1, 4,3, 3,4, 1,4, 0,3, 0,1, 1,0 ]           # "ο"
      ],
240 : [ [ 0,4, 4,4 ],
        [ 1,4, 1,0 ],
        [ 3,4, 3,0 ]                                              # "π"
      ],
241 : [ [ 0,1, 1,0, 3,0, 4,1, 4,3, 3,4, 1,4, 0,3, 0,-2 ]          # "ρ"
      ],
242 : [ [ 3,4, 1,4, 0,3, 0,2, 1,1, 3,1, 4,0, 3,-1, 2,-1, 1,-1 ]   # "ς"
      ],
243 : [ [ 5,4, 1,4, 0,3, 0,1, 1,0, 2,0, 3,1, 3,3, 2,4 ]           # "σ"
      ],
244 : [ [ 0,4, 4,4 ],
        [ 2,4, 2,1, 3,0, 4,1 ],                                   # "τ"
      ],
245 : [ [ 0,4, 0,1, 1,0, 3,0, 4,1, 4,4 ]                          # "υ"
      ],
246 : [ [ 1,4, 0,3, 0,1, 1,0, 3,0, 4,1, 4,3, 3,4, 2,3, 2,-2 ]     # "φ"
      ],
247 : [ [ 0,4, 4,-2 ],
        [ 4,4, 0,-2 ]                                             # "χ"
      ],
248 : [ [ 0,4, 0,1, 1,0, 3,0, 4,1, 4,4 ],
        [ 2,4, 2,-2 ]                                             # "ψ"
      ],
249 : [ [ 1,4, 0,3, 0,1, 1,0, 2,1, 2,3 ],
        [ 2,1, 3,0, 4,1, 4,3, 3,4 ]                               # "ω"
      ],

250 : [ [ 1,4, 1,1, 2,0, 3,1 ],
        [ 0,5, 0,4 ],
        [ 2,5, 2,4 ]                                              #  "ϊ"
      ],
251 : [ [ 0,4, 0,1, 1,0, 3,0, 4,1, 4,4 ],
        [ 1,5, 1,4 ],
        [ 3,5, 3,4 ]                                              #  "ϋ"
      ],
252 : [ [ 1,0, 3,0, 4,1, 4,3, 3,4, 1,4, 0,3, 0,1, 1,0 ],
        [ 2,6, 2,5 ]                                              #  "ό"
      ],
253 : [ [ 0,4, 0,1, 1,0, 3,0, 4,1, 4,4 ],
        [ 2,6, 2,5 ]                                              #  "ύ"
      ],

254 : [ [ 1,4, 0,3, 0,1, 1,0, 2,1, 2,3 ],
        [ 2,1, 3,0, 4,1, 4,3, 3,4 ],
        [ 2,6, 2,5 ]                                              #  "ώ"
      ],
255 : [ [ 0,0, 4,0,  4,4, 0,4, 0,0 ]                              # quadrilateral
      ]
}


#---------------------------------------------------------------------------------------------------

thanFontArial1 = {
193 : [
         [ 67.0 , 30.0 , 25.0 , 30.0 , 29.0 , 41.0 , 63.0 , 41.0 ] ,
         [ 47.0 , 85.0 , 67.0 , 30.0 , 78.0 , 0.0 , 92.0 , 0.0 , 54.0 , 100.0 , 38.0 , 100.0 , 0.0 , 0.0 , 14.0 , 0.0 , 25.0 , 30.0 , 45.0 , 85.0 ]
      ],
194 : [
         [ 23.0 , 58.0 , 50.0 , 58.0 , 57.0 , 59.0 , 60.0 , 60.0 , 62.0 , 61.0 , 63.0 , 62.0 , 65.0 , 64.0 , 66.0 , 65.0 , 67.0 , 67.0 , 68.0 , 72.0 , 68.0 , 73.0 , 68.0 , 74.0 , 68.0 , 75.0 , 67.0 , 79.0 , 66.0 , 81.0 , 64.0 , 84.0 , 61.0 , 86.0 , 58.0 , 87.0 , 53.0 , 88.0 , 23.0 , 88.0 , 23.0 , 100.0 , 51.0 , 100.0 , 58.0 , 99.0 , 63.0 , 98.0 , 66.0 , 97.0 , 69.0 , 95.0 , 71.0 , 94.0 , 73.0 , 92.0 , 75.0 , 90.0 , 78.0 , 86.0 , 79.0 , 84.0 , 80.0 , 81.0 , 81.0 , 76.0 , 81.0 , 73.0 , 80.0 , 69.0 , 79.0 , 66.0 , 78.0 , 63.0 , 76.0 , 60.0 , 74.0 , 58.0 , 72.0 , 56.0 , 68.0 , 53.0 , 70.0 , 52.0 , 74.0 , 50.0 , 77.0 , 48.0 , 79.0 , 46.0 , 81.0 , 44.0 , 83.0 , 41.0 , 84.0 , 38.0 , 85.0 , 35.0 , 86.0 , 31.0 , 86.0 , 29.0 , 86.0 , 26.0 , 85.0 , 23.0 , 84.0 , 20.0 , 83.0 , 17.0 , 81.0 , 13.0 , 79.0 , 10.0 , 77.0 , 8.0 , 75.0 , 6.0 , 73.0 , 5.0 , 69.0 , 3.0 , 66.0 , 2.0 , 63.0 , 1.0 , 57.0 , 0.0 , 55.0 , 0.0 , 23.0 , 0.0 , 23.0 , 12.0 , 54.0 , 12.0 , 57.0 , 12.0 , 60.0 , 13.0 , 63.0 , 14.0 , 67.0 , 16.0 , 69.0 , 19.0 , 71.0 , 22.0 , 72.0 , 24.0 , 72.0 , 27.0 , 72.0 , 30.0 , 71.0 , 35.0 , 70.0 , 37.0 , 68.0 , 40.0 , 66.0 , 42.0 , 63.0 , 44.0 , 59.0 , 45.0 , 53.0 , 46.0 , 23.0 , 46.0 ] ,
         [ 23.0 , 0.0 , 10.0 , 0.0 , 10.0 , 100.0 , 23.0 , 100.0 ]
      ],
195 : [
         [ 74.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 87.0 , 74.0 , 87.0 ]
      ],
196 : [
         [ 78.0 , 0.0 , 14.0 , 0.0 , 18.0 , 11.0 , 74.0 , 11.0 ] ,
         [ 47.0 , 85.0 , 74.0 , 11.0 , 78.0 , 0.0 , 92.0 , 0.0 , 54.0 , 100.0 , 38.0 , 100.0 , 0.0 , 0.0 , 14.0 , 0.0 , 18.0 , 11.0 , 45.0 , 85.0 ]
      ],
197 : [
         [ 24.0 , 44.0 , 24.0 , 13.0 , 74.0 , 13.0 , 74.0 , 0.0 , 11.0 , 0.0 , 11.0 , 100.0 , 74.0 , 100.0 , 74.0 , 87.0 , 24.0 , 87.0 , 24.0 , 56.0 , 74.0 , 56.0 , 74.0 , 44.0 ]
      ],
198 : [
         [ 3.0 , 12.0 , 65.0 , 88.0 , 3.0 , 88.0 , 3.0 , 100.0 , 80.0 , 100.0 , 80.0 , 88.0 , 18.0 , 12.0 , 80.0 , 12.0 , 80.0 , -0.0 , 3.0 , 0.0 ]
      ],
199 : [
         [ 89.0 , 100.0 , 76.0 , 100.0 , 76.0 , -0.0 , 89.0 , 0.0 , 89.0 , 100.0 ] ,
         [ 24.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 100.0 ] ,
         [ 24.0 , 43.5 , 76.0 , 43.5 , 76.0 , 56.5 , 24.0 , 56.5 ]
      ],
200 : [
         [ 52.0 , 100.0 , 60.0 , 100.0 , 66.0 , 99.0 , 69.0 , 98.0 , 74.0 , 96.0 , 78.0 , 94.0 , 81.0 , 92.0 , 85.0 , 89.0 , 89.0 , 85.0 , 92.0 , 81.0 , 94.0 , 77.0 , 96.0 , 73.0 , 98.0 , 67.0 , 99.0 , 63.0 , 100.0 , 54.0 , 100.0 , 42.0 , 99.0 , 36.0 , 97.0 , 30.0 , 95.0 , 25.0 , 93.0 , 21.0 , 88.0 , 14.0 , 85.0 , 11.0 , 81.0 , 8.0 , 78.0 , 6.0 , 74.0 , 4.0 , 72.0 , 3.0 , 69.0 , 2.0 , 65.0 , 1.0 , 59.0 , 0.0 , 54.0 , 0.0 , 52.0 , 0.0 , 52.0 , 10.0 , 54.0 , 10.0 , 60.0 , 11.0 , 64.0 , 12.0 , 69.0 , 14.0 , 72.0 , 16.0 , 75.0 , 18.0 , 78.0 , 21.0 , 80.0 , 23.0 , 84.0 , 30.0 , 85.0 , 33.0 , 86.0 , 36.0 , 87.0 , 45.0 , 87.0 , 55.0 , 86.0 , 62.0 , 85.0 , 67.0 , 83.0 , 72.0 , 80.0 , 77.0 , 76.0 , 81.0 , 72.0 , 84.0 , 68.0 , 86.0 , 66.0 , 87.0 , 62.0 , 88.0 , 59.0 , 89.0 , 55.0 , 89.0 , 52.0 , 89.0 ] ,
         [ 52.0 , 100.0 , 44.0 , 100.0 , 38.0 , 99.0 , 35.0 , 98.0 , 30.0 , 96.0 , 26.0 , 94.0 , 23.0 , 92.0 , 19.0 , 89.0 , 15.0 , 85.0 , 12.0 , 81.0 , 10.0 , 77.0 , 8.0 , 73.0 , 6.0 , 67.0 , 5.0 , 63.0 , 4.0 , 54.0 , 4.0 , 42.0 , 5.0 , 36.0 , 7.0 , 30.0 , 9.0 , 25.0 , 11.0 , 21.0 , 16.0 , 14.0 , 19.0 , 11.0 , 23.0 , 8.0 , 26.0 , 6.0 , 30.0 , 4.0 , 32.0 , 3.0 , 35.0 , 2.0 , 39.0 , 1.0 , 45.0 , 0.0 , 50.0 , 0.0 , 52.0 , 0.0 , 52.0 , 10.0 , 50.0 , 10.0 , 44.0 , 11.0 , 40.0 , 12.0 , 35.0 , 14.0 , 32.0 , 16.0 , 29.0 , 18.0 , 26.0 , 21.0 , 24.0 , 23.0 , 20.0 , 30.0 , 19.0 , 33.0 , 18.0 , 36.0 , 17.0 , 45.0 , 17.0 , 55.0 , 18.0 , 62.0 , 19.0 , 67.0 , 21.0 , 72.0 , 24.0 , 77.0 , 28.0 , 81.0 , 32.0 , 84.0 , 36.0 , 86.0 , 38.0 , 87.0 , 42.0 , 88.0 , 45.0 , 89.0 , 49.0 , 89.0 , 52.0 , 89.0 ] ,
         [ 32.0 , 44.0 , 71.0 , 44.0 , 71.0 , 56.0 , 32.0 , 56.0 ]
      ],
201 : [
         [ 24.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 100.0 ]
      ],
202 : [
         [ 40.695 , 49.695 , 76.914 , 0.0 , 93.0 , 0.0 , 50.0 , 59.0 , 91.0 , 100.0 , 73.0 , 100.0 , 24.0 , 51.0 , 24.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 33.0 ]
      ],
203 : [
         [ 47.0 , 85.0 , 67.0 , 30.0 , 78.0 , 0.0 , 92.0 , 0.0 , 54.0 , 100.0 , 38.0 , 100.0 , 0.0 , 0.0 , 14.0 , 0.0 , 25.0 , 30.0 , 45.0 , 85.0 ]
      ],
204 : [
         [ 17.0 , 100.0 , 17.0 , 100.0 ] ,
         [ 53.0 , 15.0 , 24.0 , 100.0 , 4.0 , 100.0 , 4.0 , 0.0 , 17.0 , 0.0 , 17.0 , 85.0 , 46.0 , 0.0 , 58.0 , 0.0 , 87.0 , 85.0 , 87.0 , 0.0 , 100.0 , 0.0 , 100.0 , 100.0 , 80.0 , 100.0 ]
      ],
205 : [
         [ 77.0 , 21.0 , 24.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 78.0 , 76.0 , 0.0 , 90.0 , 0.0 , 90.0 , 100.0 , 77.0 , 100.0 ]
      ],
206 : [
         [ 16.0 , 44.0 , 16.0 , 56.0 , 75.0 , 56.0 , 75.0 , 44.0 ] ,
         [ 8.0 , 100.0 , 8.0 , 88.0 , 83.0 , 88.0 , 83.0 , 100.0 ] ,
         [ 8.0 , 12.0 , 8.0 , 0.0 , 83.0 , 0.0 , 83.0 , 12.0 ]
      ],
207 : [
         [ 53.0 , 0.0 , 48.0 , 0.0 , 42.0 , 1.0 , 38.0 , 2.0 , 35.0 , 3.0 , 33.0 , 4.0 , 29.0 , 6.0 , 26.0 , 8.0 , 22.0 , 11.0 , 19.0 , 14.0 , 14.0 , 21.0 , 12.0 , 25.0 , 10.0 , 30.0 , 8.0 , 36.0 , 7.0 , 42.0 , 7.0 , 54.0 , 8.0 , 63.0 , 9.0 , 67.0 , 11.0 , 73.0 , 13.0 , 77.0 , 15.0 , 81.0 , 18.0 , 85.0 , 22.0 , 89.0 , 26.0 , 92.0 , 29.0 , 94.0 , 33.0 , 96.0 , 38.0 , 98.0 , 41.0 , 99.0 , 47.0 , 100.0 , 58.0 , 100.0 , 64.0 , 99.0 , 68.0 , 98.0 , 73.0 , 96.0 , 77.0 , 94.0 , 82.0 , 91.0 , 84.0 , 89.0 , 86.0 , 87.0 , 88.0 , 85.0 , 91.0 , 81.0 , 93.0 , 78.0 , 95.0 , 74.0 , 96.0 , 71.0 , 97.0 , 68.0 , 98.0 , 65.0 , 99.0 , 59.0 , 99.0 , 42.0 , 97.0 , 32.0 , 95.0 , 26.0 , 93.0 , 22.0 , 91.0 , 19.0 , 89.0 , 16.0 , 84.0 , 11.0 , 82.0 , 9.0 , 79.0 , 7.0 , 75.0 , 5.0 , 71.0 , 3.0 , 68.0 , 2.0 , 64.0 , 1.0 , 58.0 , 0.0 ] ,
         [ 57.0 , 89.0 , 58.0 , 89.0 , 61.0 , 88.0 , 65.0 , 87.0 , 67.0 , 86.0 , 71.0 , 84.0 , 75.0 , 81.0 , 79.0 , 77.0 , 82.0 , 72.0 , 84.0 , 67.0 , 85.0 , 62.0 , 86.0 , 55.0 , 86.0 , 45.0 , 85.0 , 36.0 , 84.0 , 33.0 , 83.0 , 30.0 , 79.0 , 23.0 , 77.0 , 21.0 , 74.0 , 18.0 , 71.0 , 16.0 , 68.0 , 14.0 , 63.0 , 12.0 , 59.0 , 11.0 , 53.0 , 10.0 , 47.0 , 11.0 , 43.0 , 12.0 , 38.0 , 14.0 , 35.0 , 16.0 , 32.0 , 18.0 , 29.0 , 21.0 , 27.0 , 23.0 , 23.0 , 30.0 , 22.0 , 33.0 , 21.0 , 36.0 , 20.0 , 45.0 , 20.0 , 55.0 , 21.0 , 62.0 , 22.0 , 67.0 , 24.0 , 72.0 , 27.0 , 77.0 , 31.0 , 81.0 , 35.0 , 84.0 , 39.0 , 86.0 , 41.0 , 87.0 , 45.0 , 88.0 , 48.0 , 89.0 , 52.0 , 89.0 ]
      ],
208 : [
         [ 89.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 87.0 , 76.0 , 87.0 , 76.0 , 0.0 , 89.0 , 0.0 ] ,
         [ 11.0 , 100.0 , 11.0 , 87.0 ]
      ],
209 : [
         [ 24.0 , 40.0 , 60.6 , 40.0 , 67.537 , 41.734 , 72.046 , 43.988 , 80.351 , 50.632 , 82.628 , 55.186 , 85.406 , 60.743 , 86.996 , 68.691 , 87.008 , 72.269 , 85.587 , 79.347 , 83.707 , 84.989 , 80.106 , 89.99 , 78.591 , 91.794 , 76.315 , 94.07 , 71.576 , 97.278 , 66.008 , 100.0 , 24.0 , 100.0 , 24.0 , 87.0 , 63.0 , 87.0 , 65.046 , 86.0 , 68.0 , 84.0 , 69.0 , 83.0 , 69.84 , 82.0 , 72.0 , 79.0 , 73.0 , 76.0 , 74.003 , 71.0 , 74.0 , 70.0 , 73.0 , 65.0 , 71.0 , 61.0 , 70.0 , 59.0 , 65.0 , 55.0 , 63.0 , 54.0 , 59.0 , 53.0 , 24.0 , 53.0 ] ,
         [ 24.0 , 100.0 , 11.0 , 100.0 , 11.0 , -0.0 , 24.0 , 0.0 , 24.0 , 100.0 ]
      ],
210 : [
         [ 8.0 , 88.0 , 42.073 , 52.086 , 8.0 , 12.0 , 8.0 , 0.0 , 83.0 , 0.0 , 83.0 , 12.0 , 25.0 , 12.0 , 58.552 , 51.473 , 24.0 , 88.0 , 83.0 , 88.0 , 83.0 , 100.0 , 8.0 , 100.0 ]
      ],
211 : [
         [ 49.0 , 100.0 , 36.0 , 100.0 ] ,
         [ 49.0 , 87.0 , 82.0 , 87.0 , 82.0 , 100.0 , 3.0 , 100.0 , 3.0 , 87.0 , 36.0 , 87.0 , 36.0 , 0.0 , 49.0 , 0.0 ]
      ],
212 : [
         [ 54.0 , 42.0 , 94.0 , 100.0 , 79.0 , 100.0 , 47.0 , 52.0 , 15.0 , 100.0 , 0.0 , 100.0 , 40.0 , 42.0 , 40.0 , 0.0 , 54.0 , 0.0 ]
      ],
213 : [
         [ 44.0 , 90.0 , 41.924 , 90.0 , 33.857 , 88.655 , 29.013 , 87.041 , 26.186 , 85.628 , 24.186 , 84.628 , 20.299 , 82.684 , 16.808 , 79.192 , 13.808 , 76.192 , 11.316 , 73.701 , 9.734 , 70.538 , 6.934 , 66.338 , 5.262 , 59.649 , 3.98 , 51.954 , 4.061 , 47.639 , 5.302 , 41.193 , 6.934 , 34.662 , 9.734 , 30.462 , 11.316 , 27.299 , 13.808 , 24.808 , 14.808 , 23.808 , 16.808 , 21.808 , 20.299 , 18.316 , 24.186 , 16.372 , 29.013 , 13.959 , 33.657 , 12.411 , 40.713 , 11.0 , 44.0 , 11.0 , 44.0 , 24.0 , 42.0 , 24.0 , 37.0 , 25.0 , 34.0 , 26.0 , 30.0 , 28.0 , 28.0 , 29.0 , 26.0 , 31.0 , 24.0 , 33.0 , 23.0 , 34.0 , 22.0 , 35.0 , 21.0 , 37.0 , 19.0 , 40.0 , 18.0 , 44.0 , 17.038 , 49.0 , 17.0 , 51.0 , 18.0 , 57.0 , 19.0 , 61.0 , 21.0 , 64.0 , 22.0 , 66.0 , 23.0 , 67.0 , 26.0 , 70.0 , 28.0 , 72.0 , 30.0 , 73.0 , 32.0 , 74.0 , 34.0 , 75.0 , 37.0 , 76.0 , 43.0 , 77.0 , 44.0 , 77.0 ] ,
         [ 58.0 , 0.0 , 58.0 , 100.0 , 44.0 , 100.0 , 44.0 , -0.0 ] ,
         [ 58.0 , 77.0 , 59.0 , 77.0 , 65.0 , 76.0 , 68.0 , 75.0 , 70.0 , 74.0 , 72.0 , 73.0 , 74.0 , 72.0 , 76.0 , 70.0 , 79.0 , 67.0 , 80.0 , 66.0 , 81.0 , 64.0 , 83.0 , 61.0 , 84.0 , 57.0 , 85.0 , 51.0 , 84.962 , 49.0 , 84.0 , 44.0 , 83.0 , 40.0 , 81.0 , 37.0 , 80.0 , 35.0 , 79.0 , 34.0 , 78.0 , 33.0 , 76.0 , 31.0 , 74.0 , 29.0 , 72.0 , 28.0 , 68.0 , 26.0 , 65.0 , 25.0 , 60.0 , 24.0 , 58.0 , 24.0 , 58.0 , 11.0 , 61.287 , 11.0 , 68.343 , 12.411 , 72.987 , 13.959 , 77.814 , 16.372 , 81.701 , 18.316 , 85.192 , 21.808 , 87.192 , 23.808 , 88.192 , 24.808 , 90.684 , 27.299 , 92.266 , 30.462 , 95.066 , 34.662 , 96.698 , 41.193 , 97.939 , 47.639 , 98.02 , 51.954 , 96.738 , 59.649 , 95.066 , 66.338 , 92.266 , 70.538 , 90.684 , 73.701 , 88.192 , 76.192 , 85.192 , 79.192 , 81.701 , 82.684 , 77.814 , 84.628 , 75.814 , 85.628 , 72.987 , 87.041 , 68.143 , 88.655 , 60.076 , 90.0 , 58.0 , 90.0 ]
      ],
214 : [
         [ 6.0 , 100.0 , 21.0 , 100.0 , 47.63 , 63.014 , 75.0 , 100.0 , 90.0 , 100.0 , 55.262 , 52.414 , 93.0 , 0.0 , 78.0 , 0.0 , 47.721 , 42.083 , 17.0 , 0.0 , 1.0 , 0.0 , 40.04 , 52.757 , 6.048 , 100.0 ]
      ],
215 : [
         [ 57.0 , 29.0 , 60.0 , 29.0 , 62.27 , 29.0 , 69.339 , 30.394 , 74.048 , 31.974 , 76.737 , 33.333 , 79.501 , 34.655 , 84.329 , 37.944 , 86.192 , 39.808 , 87.192 , 40.808 , 89.192 , 42.808 , 91.103 , 44.718 , 94.092 , 49.202 , 95.759 , 52.17 , 97.131 , 55.266 , 98.672 , 59.858 , 100.0 , 68.0 , 100.0 , 100.0 , 87.0 , 100.0 , 87.0 , 70.0 , 87.0 , 69.0 , 86.014 , 63.0 , 85.0 , 59.978 , 84.123 , 58.0 , 83.0 , 56.0 , 81.0 , 53.0 , 80.0 , 52.0 , 78.0 , 50.0 , 77.0 , 49.0 , 76.0 , 48.0 , 73.0 , 45.956 , 71.0 , 45.0 , 69.022 , 44.0 , 66.0 , 42.986 , 61.0 , 42.0 , 60.0 , 42.0 , 57.0 , 42.0 , 57.0 , 100.0 , 44.0 , 100.0 , 44.0 , 42.0 , 41.0 , 42.0 , 40.0 , 42.0 , 35.0 , 42.986 , 31.978 , 44.0 , 30.0 , 45.0 , 28.0 , 45.956 , 25.0 , 48.0 , 24.0 , 49.0 , 23.0 , 50.0 , 21.0 , 52.0 , 20.0 , 53.0 , 18.0 , 56.0 , 16.877 , 58.0 , 16.0 , 59.978 , 14.986 , 63.0 , 14.0 , 69.0 , 14.0 , 70.0 , 14.0 , 100.0 , 1.0 , 100.0 , 1.0 , 68.0 , 2.328 , 59.858 , 3.869 , 55.266 , 5.241 , 52.17 , 6.908 , 49.202 , 9.897 , 44.718 , 11.808 , 42.808 , 13.808 , 40.808 , 14.808 , 39.808 , 16.671 , 37.944 , 21.499 , 34.655 , 24.263 , 33.333 , 26.952 , 31.974 , 31.661 , 30.394 , 38.73 , 29.0 , 41.0 , 29.0 , 44.0 , 29.0 , 44.0 , 0.0 , 57.0 , 0.0 ]
      ],
216 : [
         [ 23.425 , 35.0 , 23.371 , 35.081 , 22.73 , 36.332 , 21.756 , 38.321 , 21.27 , 39.293 , 20.45 , 42.323 , 19.707 , 44.753 , 19.0 , 48.993 , 19.0 , 52.0 , 19.0 , 53.335 , 19.842 , 60.912 , 20.478 , 63.528 , 22.252 , 68.425 , 23.498 , 71.114 , 24.8 , 73.066 , 27.6 , 76.8 , 30.088 , 80.118 , 31.75 , 81.779 , 34.987 , 84.054 , 37.264 , 85.715 , 38.94 , 86.554 , 41.848 , 87.141 , 49.637 , 87.998 , 50.993 , 87.993 , 53.421 , 87.999 , 62.216 , 87.128 , 65.06 , 86.554 , 66.736 , 85.715 , 69.013 , 84.054 , 72.25 , 81.779 , 73.912 , 80.118 , 76.4 , 76.8 , 79.2 , 73.066 , 80.502 , 71.114 , 81.748 , 68.425 , 83.522 , 63.528 , 84.158 , 60.912 , 85.0 , 53.335 , 85.0 , 52.0 , 85.0 , 48.993 , 84.293 , 44.753 , 83.55 , 42.323 , 82.73 , 39.293 , 82.244 , 38.321 , 81.27 , 36.332 , 80.629 , 35.081 , 80.575 , 35.0 , 79.0 , 30.0 , 77.0 , 27.0 , 75.0 , 24.0 , 72.0 , 20.0 , 70.0 , 18.0 , 68.0 , 16.0 , 65.0 , 14.0 , 62.0 , 12.0 , 58.0 , 11.0 , 58.0 , 0.0 , 97.0 , 0.0 , 97.0 , 12.0 , 76.0 , 12.0 , 77.0 , 13.0 , 79.797 , 15.0 , 80.911 , 16.0 , 81.961 , 17.0 , 83.0 , 18.049 , 84.0 , 19.119 , 85.0 , 20.0 , 87.0 , 22.754 , 87.904 , 24.0 , 89.0 , 26.0 , 90.997 , 29.0 , 92.0 , 30.957 , 93.0 , 33.0 , 94.0 , 35.0 , 95.083 , 39.0 , 96.0 , 42.0 , 97.0 , 48.0 , 97.0 , 52.0 , 97.0 , 54.0 , 96.0 , 63.0 , 95.028 , 67.0 , 92.853 , 73.0 , 91.0 , 77.0 , 89.0 , 80.0 , 86.0 , 84.0 , 83.0 , 88.0 , 80.0 , 91.0 , 76.0 , 93.811 , 73.0 , 96.0 , 69.0 , 98.0 , 64.0 , 99.01 , 54.0 , 100.0 , 51.0 , 99.993 , 49.0 , 100.0 , 40.0 , 99.01 , 35.0 , 98.0 , 31.0 , 96.0 , 28.0 , 93.811 , 24.0 , 91.0 , 21.0 , 88.0 , 18.0 , 84.0 , 15.0 , 80.0 , 13.0 , 77.0 , 11.147 , 73.0 , 8.972 , 67.0 , 8.0 , 63.0 , 7.0 , 54.0 , 7.0 , 52.0 , 7.0 , 48.0 , 8.0 , 42.0 , 8.917 , 39.0 , 10.0 , 35.0 , 11.0 , 33.0 , 12.0 , 30.957 , 13.003 , 29.0 , 15.0 , 26.0 , 16.096 , 24.0 , 17.0 , 22.754 , 19.0 , 20.0 , 20.0 , 19.119 , 21.0 , 18.049 , 22.039 , 17.0 , 23.089 , 16.0 , 24.203 , 15.0 , 27.0 , 13.0 , 28.0 , 12.0 , 7.0 , 12.0 , 7.0 , 0.0 , 45.0 , 0.0 , 45.0 , 11.0 , 42.0 , 12.0 , 39.0 , 14.0 , 36.0 , 16.0 , 34.0 , 18.0 , 32.0 , 20.0 , 29.0 , 24.0 , 27.0 , 27.0 , 25.0 , 30.0 ]
      ]
}

t = { }
for key in thanFontPrime1:
    lists = thanFontPrime1[key]
    if type(lists) != int:
        ls = [ ]
        for li in lists:
            l = [ ]
            for i in xrange(0, len(li), 2): l.append((li[i], li[i+1]))
            ls.append(l)
        lists = ls
    t[key] = lists
thanFontPrime1 = t
del t, key, lists, ls, li, l, i


if __name__ == "__main__":
    print(__doc__)
    for k in thanFontArial1:
        print(k, ':', thanFontArial1[k])
